Subject: RE: Subclassing and a couple of other things
From: [email-masked] (Andres Zelcer)

12 Aug 1998 12:18:54 -0700
Message-ID: <01BDC5D0.25B94450.cygnus.gnu-win32@SBIDEV>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "[email-masked]'" <[email-masked]>

I guess win95 will not allow you to change this value for a window that you don't own.

----------
From: 	Simon Vilmer Pedersen
Sent: 	Tuesday, August 11, 1998 5:00 AM
To: 	[email-masked]
Subject: 	Subclassing and a couple of other things

I am experimenting a bit with window subclassing, in specific subclassing the window of the IRC program mIRC from another program. But I cannot seem to get it to work like in the SDK.
First I get the hwnd of the window, with FindWindow("mIRC",NULL)
and it returns the proper hwnd.
But when I then call orgWinProc = (WNDPROC)SetWindowLong(hwnd,GWL_WINPROC,(LONG)WinProc) it returns NULL, and a test with GetWindowLong shows that the above command had no effect. But GetLastError returns 0. Anyone who can help me with this?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".